Bump to autoconf 2.69 and automake 1.15.1
[deliverable/binutils-gdb.git] / gold / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 2006-2018 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35
36 VPATH = @srcdir@
37 am__is_gnu_make = { \
38 if test -z '$(MAKELEVEL)'; then \
39 false; \
40 elif test -n '$(MAKE_HOST)'; then \
41 true; \
42 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
43 true; \
44 else \
45 false; \
46 fi; \
47 }
48 am__make_running_with_option = \
49 case $${target_option-} in \
50 ?) ;; \
51 *) echo "am__make_running_with_option: internal error: invalid" \
52 "target option '$${target_option-}' specified" >&2; \
53 exit 1;; \
54 esac; \
55 has_opt=no; \
56 sane_makeflags=$$MAKEFLAGS; \
57 if $(am__is_gnu_make); then \
58 sane_makeflags=$$MFLAGS; \
59 else \
60 case $$MAKEFLAGS in \
61 *\\[\ \ ]*) \
62 bs=\\; \
63 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
64 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
65 esac; \
66 fi; \
67 skip_next=no; \
68 strip_trailopt () \
69 { \
70 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
71 }; \
72 for flg in $$sane_makeflags; do \
73 test $$skip_next = yes && { skip_next=no; continue; }; \
74 case $$flg in \
75 *=*|--*) continue;; \
76 -*I) strip_trailopt 'I'; skip_next=yes;; \
77 -*I?*) strip_trailopt 'I';; \
78 -*O) strip_trailopt 'O'; skip_next=yes;; \
79 -*O?*) strip_trailopt 'O';; \
80 -*l) strip_trailopt 'l'; skip_next=yes;; \
81 -*l?*) strip_trailopt 'l';; \
82 -[dEDm]) skip_next=yes;; \
83 -[JT]) skip_next=yes;; \
84 esac; \
85 case $$flg in \
86 *$$target_option*) has_opt=yes; break;; \
87 esac; \
88 done; \
89 test $$has_opt = yes
90 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
91 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
92 pkgdatadir = $(datadir)/@PACKAGE@
93 pkgincludedir = $(includedir)/@PACKAGE@
94 pkglibdir = $(libdir)/@PACKAGE@
95 pkglibexecdir = $(libexecdir)/@PACKAGE@
96 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
97 install_sh_DATA = $(install_sh) -c -m 644
98 install_sh_PROGRAM = $(install_sh) -c
99 install_sh_SCRIPT = $(install_sh) -c
100 INSTALL_HEADER = $(INSTALL_DATA)
101 transform = $(program_transform_name)
102 NORMAL_INSTALL = :
103 PRE_INSTALL = :
104 POST_INSTALL = :
105 NORMAL_UNINSTALL = :
106 PRE_UNINSTALL = :
107 POST_UNINSTALL = :
108 build_triplet = @build@
109 host_triplet = @host@
110 target_triplet = @target@
111 bin_PROGRAMS = dwp$(EXEEXT)
112 noinst_PROGRAMS = ld-new$(EXEEXT) incremental-dump$(EXEEXT)
113 @GCC_TRUE@@NATIVE_LINKER_TRUE@check_PROGRAMS = ld1$(EXEEXT) \
114 @GCC_TRUE@@NATIVE_LINKER_TRUE@ ld2$(EXEEXT) ld1-r$(EXEEXT) \
115 @GCC_TRUE@@NATIVE_LINKER_TRUE@ ld2-r$(EXEEXT) ld4$(EXEEXT) \
116 @GCC_TRUE@@NATIVE_LINKER_TRUE@ $(am__EXEEXT_1)
117 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__append_1 = -Wl,--thread-count=3
118 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__append_2 = -Wl,--thread-count=3
119 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__append_3 = -Wl,--thread-count=13
120 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__append_4 = -Wl,--thread-count=3
121 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__append_5 = ld3
122 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__append_6 = bootstrap-test-treehash-chunksize
123 subdir = .
124 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
126 $(top_srcdir)/../config/gettext-sister.m4 \
127 $(top_srcdir)/../config/lcmessage.m4 \
128 $(top_srcdir)/../config/lead-dot.m4 \
129 $(top_srcdir)/../config/nls.m4 \
130 $(top_srcdir)/../config/override.m4 \
131 $(top_srcdir)/../config/plugins.m4 \
132 $(top_srcdir)/../config/po.m4 \
133 $(top_srcdir)/../config/progtest.m4 \
134 $(top_srcdir)/../config/zlib.m4 \
135 $(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/configure.ac
136 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
137 $(ACLOCAL_M4)
138 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
139 $(am__configure_deps)
140 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
141 configure.lineno config.status.lineno
142 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
143 CONFIG_HEADER = config.h
144 CONFIG_CLEAN_FILES = po/Makefile.in
145 CONFIG_CLEAN_VPATH_FILES =
146 LIBRARIES = $(noinst_LIBRARIES)
147 AR = ar
148 ARFLAGS = cru
149 AM_V_AR = $(am__v_AR_@AM_V@)
150 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
151 am__v_AR_0 = @echo " AR " $@;
152 am__v_AR_1 =
153 libgold_a_AR = $(AR) $(ARFLAGS)
154 libgold_a_DEPENDENCIES = $(LIBOBJS)
155 am__objects_1 = archive.$(OBJEXT) attributes.$(OBJEXT) \
156 binary.$(OBJEXT) common.$(OBJEXT) compressed_output.$(OBJEXT) \
157 copy-relocs.$(OBJEXT) cref.$(OBJEXT) defstd.$(OBJEXT) \
158 descriptors.$(OBJEXT) dirsearch.$(OBJEXT) dynobj.$(OBJEXT) \
159 dwarf_reader.$(OBJEXT) ehframe.$(OBJEXT) errors.$(OBJEXT) \
160 expression.$(OBJEXT) fileread.$(OBJEXT) gc.$(OBJEXT) \
161 gdb-index.$(OBJEXT) gold.$(OBJEXT) gold-threads.$(OBJEXT) \
162 icf.$(OBJEXT) incremental.$(OBJEXT) int_encoding.$(OBJEXT) \
163 layout.$(OBJEXT) mapfile.$(OBJEXT) merge.$(OBJEXT) \
164 nacl.$(OBJEXT) object.$(OBJEXT) options.$(OBJEXT) \
165 output.$(OBJEXT) parameters.$(OBJEXT) plugin.$(OBJEXT) \
166 readsyms.$(OBJEXT) reduced_debug_output.$(OBJEXT) \
167 reloc.$(OBJEXT) resolve.$(OBJEXT) script-sections.$(OBJEXT) \
168 script.$(OBJEXT) stringpool.$(OBJEXT) symtab.$(OBJEXT) \
169 target.$(OBJEXT) target-select.$(OBJEXT) timer.$(OBJEXT) \
170 version.$(OBJEXT) workqueue.$(OBJEXT) \
171 workqueue-threads.$(OBJEXT)
172 am__objects_2 =
173 am__objects_3 = yyscript.$(OBJEXT)
174 am_libgold_a_OBJECTS = $(am__objects_1) $(am__objects_2) \
175 $(am__objects_3) $(am__objects_2)
176 libgold_a_OBJECTS = $(am_libgold_a_OBJECTS)
177 am__installdirs = "$(DESTDIR)$(bindir)"
178 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@am__EXEEXT_1 = \
179 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@ ld3$(EXEEXT)
180 PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
181 am_dwp_OBJECTS = dwp.$(OBJEXT)
182 dwp_OBJECTS = $(am_dwp_OBJECTS)
183 am__DEPENDENCIES_1 =
184 dwp_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(dwp_LDFLAGS) \
185 $(LDFLAGS) -o $@
186 am_incremental_dump_OBJECTS = incremental-dump.$(OBJEXT)
187 incremental_dump_OBJECTS = $(am_incremental_dump_OBJECTS)
188 am__objects_4 = main.$(OBJEXT)
189 am_ld_new_OBJECTS = $(am__objects_4)
190 ld_new_OBJECTS = $(am_ld_new_OBJECTS)
191 am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) libgold.a $(LIBIBERTY) \
192 $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
193 $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
194 $(am__DEPENDENCIES_1)
195 ld_new_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld_new_LDFLAGS) \
196 $(LDFLAGS) -o $@
197 @GCC_TRUE@@NATIVE_LINKER_TRUE@am_ld1_OBJECTS = $(am__objects_4)
198 ld1_OBJECTS = $(am_ld1_OBJECTS)
199 ld1_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld1_LDFLAGS) \
200 $(LDFLAGS) -o $@
201 @GCC_TRUE@@NATIVE_LINKER_TRUE@am_ld1_r_OBJECTS = $(am__objects_4)
202 ld1_r_OBJECTS = $(am_ld1_r_OBJECTS)
203 ld1_r_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld1_r_LDFLAGS) \
204 $(LDFLAGS) -o $@
205 @GCC_TRUE@@NATIVE_LINKER_TRUE@am_ld2_OBJECTS = $(am__objects_4)
206 ld2_OBJECTS = $(am_ld2_OBJECTS)
207 ld2_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld2_LDFLAGS) \
208 $(LDFLAGS) -o $@
209 @GCC_TRUE@@NATIVE_LINKER_TRUE@am_ld2_r_OBJECTS = $(am__objects_4)
210 ld2_r_OBJECTS = $(am_ld2_r_OBJECTS)
211 ld2_r_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld2_r_LDFLAGS) \
212 $(LDFLAGS) -o $@
213 @GCC_TRUE@@NATIVE_LINKER_TRUE@am_ld3_OBJECTS = $(am__objects_4)
214 ld3_OBJECTS = $(am_ld3_OBJECTS)
215 ld3_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld3_LDFLAGS) \
216 $(LDFLAGS) -o $@
217 @GCC_TRUE@@NATIVE_LINKER_TRUE@am_ld4_OBJECTS = $(am__objects_4)
218 ld4_OBJECTS = $(am_ld4_OBJECTS)
219 ld4_LINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(ld4_LDFLAGS) \
220 $(LDFLAGS) -o $@
221 AM_V_P = $(am__v_P_@AM_V@)
222 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
223 am__v_P_0 = false
224 am__v_P_1 = :
225 AM_V_GEN = $(am__v_GEN_@AM_V@)
226 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
227 am__v_GEN_0 = @echo " GEN " $@;
228 am__v_GEN_1 =
229 AM_V_at = $(am__v_at_@AM_V@)
230 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
231 am__v_at_0 = @
232 am__v_at_1 =
233 DEFAULT_INCLUDES = -I.@am__isrc@
234 depcomp = $(SHELL) $(top_srcdir)/../depcomp
235 am__depfiles_maybe = depfiles
236 am__mv = mv -f
237 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
238 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
239 AM_V_CC = $(am__v_CC_@AM_V@)
240 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
241 am__v_CC_0 = @echo " CC " $@;
242 am__v_CC_1 =
243 CCLD = $(CC)
244 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
245 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
246 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
247 am__v_CCLD_0 = @echo " CCLD " $@;
248 am__v_CCLD_1 =
249 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
250 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
251 AM_V_CXX = $(am__v_CXX_@AM_V@)
252 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
253 am__v_CXX_0 = @echo " CXX " $@;
254 am__v_CXX_1 =
255 CXXLD = $(CXX)
256 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
257 -o $@
258 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
259 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
260 am__v_CXXLD_0 = @echo " CXXLD " $@;
261 am__v_CXXLD_1 =
262 @MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
263 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
264 -e s/c++$$/h++/ -e s/c$$/h/
265 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
266 AM_V_YACC = $(am__v_YACC_@AM_V@)
267 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
268 am__v_YACC_0 = @echo " YACC " $@;
269 am__v_YACC_1 =
270 YLWRAP = $(top_srcdir)/../ylwrap
271 SOURCES = $(libgold_a_SOURCES) $(dwp_SOURCES) \
272 $(incremental_dump_SOURCES) $(ld_new_SOURCES) \
273 $(EXTRA_ld_new_SOURCES) $(ld1_SOURCES) $(ld1_r_SOURCES) \
274 $(ld2_SOURCES) $(ld2_r_SOURCES) $(ld3_SOURCES) $(ld4_SOURCES)
275 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
276 ctags-recursive dvi-recursive html-recursive info-recursive \
277 install-data-recursive install-dvi-recursive \
278 install-exec-recursive install-html-recursive \
279 install-info-recursive install-pdf-recursive \
280 install-ps-recursive install-recursive installcheck-recursive \
281 installdirs-recursive pdf-recursive ps-recursive \
282 tags-recursive uninstall-recursive
283 am__can_run_installinfo = \
284 case $$AM_UPDATE_INFO_DIR in \
285 n|no|NO) false;; \
286 *) (install-info --version) >/dev/null 2>&1;; \
287 esac
288 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
289 distclean-recursive maintainer-clean-recursive
290 am__recursive_targets = \
291 $(RECURSIVE_TARGETS) \
292 $(RECURSIVE_CLEAN_TARGETS) \
293 $(am__extra_recursive_targets)
294 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
295 cscope check recheck
296 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
297 $(LISP)config.in
298 # Read a list of newline-separated strings from the standard input,
299 # and print each of them once, without duplicates. Input order is
300 # *not* preserved.
301 am__uniquify_input = $(AWK) '\
302 BEGIN { nonempty = 0; } \
303 { items[$$0] = 1; nonempty = 1; } \
304 END { if (nonempty) { for (i in items) print i; }; } \
305 '
306 # Make sure the list of sources is unique. This is necessary because,
307 # e.g., the same source file might be shared among _SOURCES variables
308 # for different programs/libraries.
309 am__define_uniq_tagged_files = \
310 list='$(am__tagged_files)'; \
311 unique=`for i in $$list; do \
312 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
313 done | $(am__uniquify_input)`
314 ETAGS = etags
315 CTAGS = ctags
316 CSCOPE = cscope
317 am__tty_colors_dummy = \
318 mgn= red= grn= lgn= blu= brg= std=; \
319 am__color_tests=no
320 am__tty_colors = { \
321 $(am__tty_colors_dummy); \
322 if test "X$(AM_COLOR_TESTS)" = Xno; then \
323 am__color_tests=no; \
324 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
325 am__color_tests=yes; \
326 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
327 am__color_tests=yes; \
328 fi; \
329 if test $$am__color_tests = yes; then \
330 red='\e[0;31m'; \
331 grn='\e[0;32m'; \
332 lgn='\e[1;32m'; \
333 blu='\e[1;34m'; \
334 mgn='\e[0;35m'; \
335 brg='\e[1m'; \
336 std='\e[m'; \
337 fi; \
338 }
339 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
340 am__vpath_adj = case $$p in \
341 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
342 *) f=$$p;; \
343 esac;
344 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
345 am__install_max = 40
346 am__nobase_strip_setup = \
347 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
348 am__nobase_strip = \
349 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
350 am__nobase_list = $(am__nobase_strip_setup); \
351 for p in $$list; do echo "$$p $$p"; done | \
352 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
353 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
354 if (++n[$$2] == $(am__install_max)) \
355 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
356 END { for (dir in files) print dir, files[dir] }'
357 am__base_list = \
358 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
359 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
360 am__uninstall_files_from_dir = { \
361 test -z "$$files" \
362 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
363 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
364 $(am__cd) "$$dir" && rm -f $$files; }; \
365 }
366 am__recheck_rx = ^[ ]*:recheck:[ ]*
367 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
368 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
369 # A command that, given a newline-separated list of test names on the
370 # standard input, print the name of the tests that are to be re-run
371 # upon "make recheck".
372 am__list_recheck_tests = $(AWK) '{ \
373 recheck = 1; \
374 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
375 { \
376 if (rc < 0) \
377 { \
378 if ((getline line2 < ($$0 ".log")) < 0) \
379 recheck = 0; \
380 break; \
381 } \
382 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
383 { \
384 recheck = 0; \
385 break; \
386 } \
387 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
388 { \
389 break; \
390 } \
391 }; \
392 if (recheck) \
393 print $$0; \
394 close ($$0 ".trs"); \
395 close ($$0 ".log"); \
396 }'
397 # A command that, given a newline-separated list of test names on the
398 # standard input, create the global log from their .trs and .log files.
399 am__create_global_log = $(AWK) ' \
400 function fatal(msg) \
401 { \
402 print "fatal: making $@: " msg | "cat >&2"; \
403 exit 1; \
404 } \
405 function rst_section(header) \
406 { \
407 print header; \
408 len = length(header); \
409 for (i = 1; i <= len; i = i + 1) \
410 printf "="; \
411 printf "\n\n"; \
412 } \
413 { \
414 copy_in_global_log = 1; \
415 global_test_result = "RUN"; \
416 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
417 { \
418 if (rc < 0) \
419 fatal("failed to read from " $$0 ".trs"); \
420 if (line ~ /$(am__global_test_result_rx)/) \
421 { \
422 sub("$(am__global_test_result_rx)", "", line); \
423 sub("[ ]*$$", "", line); \
424 global_test_result = line; \
425 } \
426 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
427 copy_in_global_log = 0; \
428 }; \
429 if (copy_in_global_log) \
430 { \
431 rst_section(global_test_result ": " $$0); \
432 while ((rc = (getline line < ($$0 ".log"))) != 0) \
433 { \
434 if (rc < 0) \
435 fatal("failed to read from " $$0 ".log"); \
436 print line; \
437 }; \
438 printf "\n"; \
439 }; \
440 close ($$0 ".trs"); \
441 close ($$0 ".log"); \
442 }'
443 # Restructured Text title.
444 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
445 # Solaris 10 'make', and several other traditional 'make' implementations,
446 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
447 # by disabling -e (using the XSI extension "set +e") if it's set.
448 am__sh_e_setup = case $$- in *e*) set +e;; esac
449 # Default flags passed to test drivers.
450 am__common_driver_flags = \
451 --color-tests "$$am__color_tests" \
452 --enable-hard-errors "$$am__enable_hard_errors" \
453 --expect-failure "$$am__expect_failure"
454 # To be inserted before the command running the test. Creates the
455 # directory for the log if needed. Stores in $dir the directory
456 # containing $f, in $tst the test, in $log the log. Executes the
457 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
458 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
459 # will run the test scripts (or their associated LOG_COMPILER, if
460 # thy have one).
461 am__check_pre = \
462 $(am__sh_e_setup); \
463 $(am__vpath_adj_setup) $(am__vpath_adj) \
464 $(am__tty_colors); \
465 srcdir=$(srcdir); export srcdir; \
466 case "$@" in \
467 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
468 *) am__odir=.;; \
469 esac; \
470 test "x$$am__odir" = x"." || test -d "$$am__odir" \
471 || $(MKDIR_P) "$$am__odir" || exit $$?; \
472 if test -f "./$$f"; then dir=./; \
473 elif test -f "$$f"; then dir=; \
474 else dir="$(srcdir)/"; fi; \
475 tst=$$dir$$f; log='$@'; \
476 if test -n '$(DISABLE_HARD_ERRORS)'; then \
477 am__enable_hard_errors=no; \
478 else \
479 am__enable_hard_errors=yes; \
480 fi; \
481 case " $(XFAIL_TESTS) " in \
482 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
483 am__expect_failure=yes;; \
484 *) \
485 am__expect_failure=no;; \
486 esac; \
487 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
488 # A shell command to get the names of the tests scripts with any registered
489 # extension removed (i.e., equivalently, the names of the test logs, with
490 # the '.log' extension removed). The result is saved in the shell variable
491 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
492 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
493 # since that might cause problem with VPATH rewrites for suffix-less tests.
494 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
495 am__set_TESTS_bases = \
496 bases='$(TEST_LOGS)'; \
497 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
498 bases=`echo $$bases`
499 RECHECK_LOGS = $(TEST_LOGS)
500 TEST_SUITE_LOG = test-suite.log
501 TEST_EXTENSIONS = @EXEEXT@ .test
502 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
503 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
504 am__set_b = \
505 case '$@' in \
506 */*) \
507 case '$*' in \
508 */*) b='$*';; \
509 *) b=`echo '$@' | sed 's/\.log$$//'`; \
510 esac;; \
511 *) \
512 b='$*';; \
513 esac
514 am__test_logs1 = $(TESTS:=.log)
515 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
516 TEST_LOGS = $(am__test_logs2:.test.log=.log)
517 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
518 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
519 $(TEST_LOG_FLAGS)
520 DIST_SUBDIRS = $(SUBDIRS)
521 ACLOCAL = @ACLOCAL@
522 AMTAR = @AMTAR@
523 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
524 AUTOCONF = @AUTOCONF@
525 AUTOHEADER = @AUTOHEADER@
526 AUTOMAKE = @AUTOMAKE@
527 AWK = @AWK@
528 CATALOGS = @CATALOGS@
529 CATOBJEXT = @CATOBJEXT@
530 CC = @CC@
531 CCDEPMODE = @CCDEPMODE@
532 CFLAGS = @CFLAGS@
533 CPP = @CPP@
534 CPPFLAGS = @CPPFLAGS@
535 CXX = @CXX@
536 CXXCPP = @CXXCPP@
537 CXXDEPMODE = @CXXDEPMODE@
538 CXXFLAGS = @CXXFLAGS@
539 CYGPATH_W = @CYGPATH_W@
540 DATADIRNAME = @DATADIRNAME@
541 DEFAULT_TARGET = @DEFAULT_TARGET@
542 DEFS = @DEFS@
543 DEPDIR = @DEPDIR@
544 DLOPEN_LIBS = @DLOPEN_LIBS@
545 ECHO_C = @ECHO_C@
546 ECHO_N = @ECHO_N@
547 ECHO_T = @ECHO_T@
548 EGREP = @EGREP@
549 EXEEXT = @EXEEXT@
550 GENCAT = @GENCAT@
551 GMSGFMT = @GMSGFMT@
552 GOLD_LDADD = @GOLD_LDADD@
553 GOLD_LDFLAGS = @GOLD_LDFLAGS@
554 GREP = @GREP@
555 INCINTL = @INCINTL@
556 INSTALL = @INSTALL@
557 INSTALL_DATA = @INSTALL_DATA@
558 INSTALL_PROGRAM = @INSTALL_PROGRAM@
559 INSTALL_SCRIPT = @INSTALL_SCRIPT@
560 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
561 INSTOBJEXT = @INSTOBJEXT@
562 LDFLAGS = @LDFLAGS@
563 LFS_CFLAGS = @LFS_CFLAGS@
564 LIBINTL = @LIBINTL@
565 LIBINTL_DEP = @LIBINTL_DEP@
566 LIBOBJS = @LIBOBJS@
567 LIBS = @LIBS@
568 LN_S = @LN_S@
569 LTLIBOBJS = @LTLIBOBJS@
570 MAINT = @MAINT@
571 MAKEINFO = @MAKEINFO@
572 MERGE_CONSTANTS_FLAG = @MERGE_CONSTANTS_FLAG@
573 MKDIR_P = @MKDIR_P@
574 MKINSTALLDIRS = @MKINSTALLDIRS@
575 MSGFMT = @MSGFMT@
576 MSGMERGE = @MSGMERGE@
577 NM = @NM@
578 NO_WERROR = @NO_WERROR@
579 OBJEXT = @OBJEXT@
580 PACKAGE = @PACKAGE@
581 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
582 PACKAGE_NAME = @PACKAGE_NAME@
583 PACKAGE_STRING = @PACKAGE_STRING@
584 PACKAGE_TARNAME = @PACKAGE_TARNAME@
585 PACKAGE_URL = @PACKAGE_URL@
586 PACKAGE_VERSION = @PACKAGE_VERSION@
587 PATH_SEPARATOR = @PATH_SEPARATOR@
588 POSUB = @POSUB@
589 RANDOM_SEED_CFLAGS = @RANDOM_SEED_CFLAGS@
590 RANLIB = @RANLIB@
591 SET_MAKE = @SET_MAKE@
592 SHELL = @SHELL@
593 STRIP = @STRIP@
594 TARGETOBJS = @TARGETOBJS@
595 USE_NLS = @USE_NLS@
596 VERSION = @VERSION@
597 WARN_CFLAGS = @WARN_CFLAGS@
598 WARN_CFLAGS_FOR_BUILD = @WARN_CFLAGS_FOR_BUILD@
599 WARN_CXXFLAGS = @WARN_CXXFLAGS@
600 WARN_WRITE_STRINGS = @WARN_WRITE_STRINGS@
601 XGETTEXT = @XGETTEXT@
602 YACC = @YACC@
603 YFLAGS = @YFLAGS@
604 abs_builddir = @abs_builddir@
605 abs_srcdir = @abs_srcdir@
606 abs_top_builddir = @abs_top_builddir@
607 abs_top_srcdir = @abs_top_srcdir@
608 ac_ct_CC = @ac_ct_CC@
609 ac_ct_CXX = @ac_ct_CXX@
610 am__include = @am__include@
611 am__leading_dot = @am__leading_dot@
612 am__quote = @am__quote@
613 am__tar = @am__tar@
614 am__untar = @am__untar@
615 bindir = @bindir@
616 build = @build@
617 build_alias = @build_alias@
618 build_cpu = @build_cpu@
619 build_os = @build_os@
620 build_vendor = @build_vendor@
621 builddir = @builddir@
622 datadir = @datadir@
623 datarootdir = @datarootdir@
624 docdir = @docdir@
625 dvidir = @dvidir@
626 exec_prefix = @exec_prefix@
627 host = @host@
628 host_alias = @host_alias@
629 host_cpu = @host_cpu@
630 host_os = @host_os@
631 host_vendor = @host_vendor@
632 htmldir = @htmldir@
633 includedir = @includedir@
634 infodir = @infodir@
635 install_as_default = @install_as_default@
636 install_sh = @install_sh@
637 installed_linker = @installed_linker@
638 libdir = @libdir@
639 libexecdir = @libexecdir@
640 localedir = @localedir@
641 localstatedir = @localstatedir@
642 mandir = @mandir@
643 mkdir_p = @mkdir_p@
644 oldincludedir = @oldincludedir@
645 pdfdir = @pdfdir@
646 prefix = @prefix@
647 program_transform_name = @program_transform_name@
648 psdir = @psdir@
649 sbindir = @sbindir@
650 sharedstatedir = @sharedstatedir@
651 srcdir = @srcdir@
652 sysconfdir = @sysconfdir@
653 target = @target@
654 target_alias = @target_alias@
655 target_cpu = @target_cpu@
656 target_os = @target_os@
657 target_vendor = @target_vendor@
658 top_build_prefix = @top_build_prefix@
659 top_builddir = @top_builddir@
660 top_srcdir = @top_srcdir@
661 zlibdir = @zlibdir@
662 zlibinc = @zlibinc@
663 AUTOMAKE_OPTIONS = foreign
664 SUBDIRS = po testsuite
665 tooldir = $(exec_prefix)/$(target_alias)
666 ACLOCAL_AMFLAGS = -I ../bfd -I ../config
667
668 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
669 # -I../zlib, unless we were configured with --with-system-zlib, in which
670 # case both are empty.
671 ZLIB = @zlibdir@ -lz
672 ZLIBINC = @zlibinc@
673 AM_CFLAGS = $(WARN_CFLAGS) $(LFS_CFLAGS) $(RANDOM_SEED_CFLAGS) $(ZLIBINC)
674 AM_CXXFLAGS = $(WARN_CXXFLAGS) $(LFS_CFLAGS) $(RANDOM_SEED_CFLAGS) $(ZLIBINC)
675 AM_CPPFLAGS = \
676 -I$(srcdir) -I$(srcdir)/../include -I$(srcdir)/../elfcpp \
677 -DLOCALEDIR="\"$(datadir)/locale\"" \
678 -DBINDIR="\"$(bindir)\"" -DTOOLBINDIR="\"$(tooldir)/bin\"" \
679 -DTOOLLIBDIR="\"$(tooldir)/lib\"" @INCINTL@
680
681 LIBIBERTY = ../libiberty/libiberty.a
682 @PLUGINS_TRUE@LIBDL = @DLOPEN_LIBS@
683 @THREADS_TRUE@THREADSLIB = -lpthread
684 AM_YFLAGS = -d
685
686 # Automake 1.10+ disables lex and yacc output file regeneration if
687 # maintainer mode is disabled. Avoid this.
688 am__skiplex =
689 am__skipyacc =
690 noinst_LIBRARIES = libgold.a
691 CCFILES = \
692 archive.cc \
693 attributes.cc \
694 binary.cc \
695 common.cc \
696 compressed_output.cc \
697 copy-relocs.cc \
698 cref.cc \
699 defstd.cc \
700 descriptors.cc \
701 dirsearch.cc \
702 dynobj.cc \
703 dwarf_reader.cc \
704 ehframe.cc \
705 errors.cc \
706 expression.cc \
707 fileread.cc \
708 gc.cc \
709 gdb-index.cc \
710 gold.cc \
711 gold-threads.cc \
712 icf.cc \
713 incremental.cc \
714 int_encoding.cc \
715 layout.cc \
716 mapfile.cc \
717 merge.cc \
718 nacl.cc \
719 object.cc \
720 options.cc \
721 output.cc \
722 parameters.cc \
723 plugin.cc \
724 readsyms.cc \
725 reduced_debug_output.cc \
726 reloc.cc \
727 resolve.cc \
728 script-sections.cc \
729 script.cc \
730 stringpool.cc \
731 symtab.cc \
732 target.cc \
733 target-select.cc \
734 timer.cc \
735 version.cc \
736 workqueue.cc \
737 workqueue-threads.cc
738
739 HFILES = \
740 arm-reloc-property.h \
741 aarch64-reloc-property.h \
742 archive.h \
743 attributes.h \
744 binary.h \
745 common.h \
746 compressed_output.h \
747 copy-relocs.h \
748 cref.h \
749 defstd.h \
750 dirsearch.h \
751 descriptors.h \
752 dynobj.h \
753 dwarf_reader.h \
754 ehframe.h \
755 errors.h \
756 fileread.h \
757 freebsd.h \
758 gc.h \
759 gdb-index.h \
760 gold.h \
761 gold-threads.h \
762 icf.h \
763 int_encoding.h \
764 layout.h \
765 mapfile.h \
766 merge.h \
767 nacl.h \
768 object.h \
769 options.h \
770 output.h \
771 parameters.h \
772 plugin.h \
773 readsyms.h \
774 reduced_debug_output.h \
775 reloc.h \
776 reloc-types.h \
777 script-c.h \
778 script-sections.h \
779 script.h \
780 stringpool.h \
781 symtab.h \
782 target.h \
783 target-reloc.h \
784 target-select.h \
785 timer.h \
786 tls.h \
787 token.h \
788 workqueue.h \
789 workqueue-internal.h
790
791 YFILES = \
792 yyscript.y
793
794 DEFFILES = arm-reloc.def aarch64-reloc.def
795 EXTRA_DIST = yyscript.c yyscript.h
796 TARGETSOURCES = \
797 i386.cc x86_64.cc sparc.cc powerpc.cc arm.cc arm-reloc-property.cc tilegx.cc \
798 mips.cc aarch64.cc aarch64-reloc-property.cc s390.cc
799
800 ALL_TARGETOBJS = \
801 i386.$(OBJEXT) x86_64.$(OBJEXT) sparc.$(OBJEXT) powerpc.$(OBJEXT) \
802 arm.$(OBJEXT) arm-reloc-property.$(OBJEXT) tilegx.$(OBJEXT) \
803 mips.$(OBJEXT) aarch64.$(OBJEXT) aarch64-reloc-property.$(OBJEXT) \
804 s390.$(OBJEXT)
805
806 libgold_a_SOURCES = $(CCFILES) $(HFILES) $(YFILES) $(DEFFILES)
807 libgold_a_LIBADD = $(LIBOBJS)
808 sources_var = main.cc
809 deps_var = $(TARGETOBJS) libgold.a $(LIBIBERTY) $(LIBINTL_DEP)
810 ldadd_var = $(TARGETOBJS) libgold.a $(LIBIBERTY) $(GOLD_LDADD) $(LIBINTL) \
811 $(THREADSLIB) $(LIBDL) $(ZLIB)
812
813 ldflags_var = $(GOLD_LDFLAGS)
814 ld_new_SOURCES = $(sources_var)
815 ld_new_DEPENDENCIES = $(deps_var)
816 ld_new_LDADD = $(ldadd_var)
817 ld_new_LDFLAGS = $(ldflags_var)
818 EXTRA_ld_new_SOURCES = $(TARGETSOURCES)
819 incremental_dump_SOURCES = incremental-dump.cc
820 incremental_dump_DEPENDENCIES = $(TARGETOBJS) libgold.a $(LIBIBERTY) \
821 $(LIBINTL_DEP)
822
823 incremental_dump_LDADD = $(TARGETOBJS) libgold.a $(LIBIBERTY) $(LIBINTL) \
824 $(THREADSLIB) $(LIBDL) $(ZLIB)
825
826 dwp_SOURCES = dwp.cc
827 dwp_DEPENDENCIES = libgold.a $(LIBIBERTY) $(LIBINTL_DEP)
828 dwp_LDADD = libgold.a $(LIBIBERTY) $(GOLD_LDADD) $(LIBINTL) $(THREADSLIB) \
829 $(LIBDL) $(ZLIB)
830
831 dwp_LDFLAGS = $(GOLD_LDFLAGS)
832 CONFIG_STATUS_DEPENDENCIES = $(srcdir)/../bfd/development.sh
833 POTFILES = $(CCFILES) $(HFILES) $(TARGETSOURCES)
834 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_SOURCES = $(sources_var)
835 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_DEPENDENCIES = $(deps_var) gcctestdir1/ld
836 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_LDADD = $(ldadd_var)
837 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_LDFLAGS = -Bgcctestdir1/ \
838 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id=tree \
839 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-chunk-size-for-treehash=12345 \
840 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-min-file-size-for-treehash=0 \
841 @GCC_TRUE@@NATIVE_LINKER_TRUE@ $(am__append_1)
842 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_SOURCES = $(sources_var)
843 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_DEPENDENCIES = $(deps_var) gcctestdir2/ld
844 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_LDADD = $(ldadd_var)
845 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_LDFLAGS = -Bgcctestdir2/ \
846 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id=tree \
847 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-chunk-size-for-treehash=12345 \
848 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-min-file-size-for-treehash=0 \
849 @GCC_TRUE@@NATIVE_LINKER_TRUE@ $(am__append_2)
850 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_r_SOURCES = $(sources_var)
851 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_r_DEPENDENCIES = libgold-1-r.o $(deps_var) gcctestdir1/ld
852 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_r_LDADD = libgold-1-r.o $(ldadd_var)
853 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld1_r_LDFLAGS = -Bgcctestdir1/
854 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_r_SOURCES = $(sources_var)
855 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_r_DEPENDENCIES = libgold-2-r.o $(deps_var) gcctestdir2-r/ld
856 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_r_LDADD = libgold-2-r.o $(ldadd_var)
857 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld2_r_LDFLAGS = -Bgcctestdir2-r/
858 @GCC_TRUE@@NATIVE_LINKER_TRUE@TESTS = bootstrap-test bootstrap-test-r \
859 @GCC_TRUE@@NATIVE_LINKER_TRUE@ bootstrap-test-treehash-chunksize \
860 @GCC_TRUE@@NATIVE_LINKER_TRUE@ $(am__append_6)
861 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld3_SOURCES = $(sources_var)
862 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld3_DEPENDENCIES = $(deps_var) gcctestdir3/ld
863 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld3_LDADD = $(ldadd_var)
864 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld3_LDFLAGS = -Bgcctestdir3/ \
865 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id=tree \
866 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-chunk-size-for-treehash=12345 \
867 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-min-file-size-for-treehash=0 \
868 @GCC_TRUE@@NATIVE_LINKER_TRUE@ $(am__append_3)
869 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld4_SOURCES = $(sources_var)
870 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld4_DEPENDENCIES = $(deps_var) gcctestdir4/ld
871 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld4_LDADD = $(ldadd_var)
872 @GCC_TRUE@@NATIVE_LINKER_TRUE@ld4_LDFLAGS = -Bgcctestdir4/ \
873 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id=tree \
874 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-chunk-size-for-treehash=12346 \
875 @GCC_TRUE@@NATIVE_LINKER_TRUE@ -Wl,--build-id-min-file-size-for-treehash=0 \
876 @GCC_TRUE@@NATIVE_LINKER_TRUE@ $(am__append_4)
877 all: config.h
878 $(MAKE) $(AM_MAKEFLAGS) all-recursive
879
880 .SUFFIXES:
881 .SUFFIXES: .c .cc .log .o .obj .test .test$(EXEEXT) .trs .y
882 am--refresh: Makefile
883 @:
884 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(am__configure_deps)
885 @for dep in $?; do \
886 case '$(am__configure_deps)' in \
887 *$$dep*) \
888 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
889 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
890 && exit 0; \
891 exit 1;; \
892 esac; \
893 done; \
894 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
895 $(am__cd) $(top_srcdir) && \
896 $(AUTOMAKE) --foreign Makefile
897 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
898 @case '$?' in \
899 *config.status*) \
900 echo ' $(SHELL) ./config.status'; \
901 $(SHELL) ./config.status;; \
902 *) \
903 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
904 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
905 esac;
906
907 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
908 $(SHELL) ./config.status --recheck
909
910 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
911 $(am__cd) $(srcdir) && $(AUTOCONF)
912 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
913 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
914 $(am__aclocal_m4_deps):
915
916 config.h: stamp-h1
917 @test -f $@ || rm -f stamp-h1
918 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
919
920 stamp-h1: $(srcdir)/config.in $(top_builddir)/config.status
921 @rm -f stamp-h1
922 cd $(top_builddir) && $(SHELL) ./config.status config.h
923 $(srcdir)/config.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
924 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
925 rm -f stamp-h1
926 touch $@
927
928 distclean-hdr:
929 -rm -f config.h stamp-h1
930 po/Makefile.in: $(top_builddir)/config.status $(top_srcdir)/po/Make-in
931 cd $(top_builddir) && $(SHELL) ./config.status $@
932
933 clean-noinstLIBRARIES:
934 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
935 yyscript.h: yyscript.c
936 @if test ! -f $@; then rm -f yyscript.c; else :; fi
937 @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) yyscript.c; else :; fi
938
939 libgold.a: $(libgold_a_OBJECTS) $(libgold_a_DEPENDENCIES) $(EXTRA_libgold_a_DEPENDENCIES)
940 $(AM_V_at)-rm -f libgold.a
941 $(AM_V_AR)$(libgold_a_AR) libgold.a $(libgold_a_OBJECTS) $(libgold_a_LIBADD)
942 $(AM_V_at)$(RANLIB) libgold.a
943 install-binPROGRAMS: $(bin_PROGRAMS)
944 @$(NORMAL_INSTALL)
945 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
946 if test -n "$$list"; then \
947 echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
948 $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
949 fi; \
950 for p in $$list; do echo "$$p $$p"; done | \
951 sed 's/$(EXEEXT)$$//' | \
952 while read p p1; do if test -f $$p \
953 ; then echo "$$p"; echo "$$p"; else :; fi; \
954 done | \
955 sed -e 'p;s,.*/,,;n;h' \
956 -e 's|.*|.|' \
957 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
958 sed 'N;N;N;s,\n, ,g' | \
959 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
960 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
961 if ($$2 == $$4) files[d] = files[d] " " $$1; \
962 else { print "f", $$3 "/" $$4, $$1; } } \
963 END { for (d in files) print "f", d, files[d] }' | \
964 while read type dir files; do \
965 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
966 test -z "$$files" || { \
967 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
968 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
969 } \
970 ; done
971
972 uninstall-binPROGRAMS:
973 @$(NORMAL_UNINSTALL)
974 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
975 files=`for p in $$list; do echo "$$p"; done | \
976 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
977 -e 's/$$/$(EXEEXT)/' \
978 `; \
979 test -n "$$list" || exit 0; \
980 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
981 cd "$(DESTDIR)$(bindir)" && rm -f $$files
982
983 clean-binPROGRAMS:
984 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
985
986 clean-checkPROGRAMS:
987 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
988
989 clean-noinstPROGRAMS:
990 -test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)
991
992 dwp$(EXEEXT): $(dwp_OBJECTS) $(dwp_DEPENDENCIES) $(EXTRA_dwp_DEPENDENCIES)
993 @rm -f dwp$(EXEEXT)
994 $(AM_V_CXXLD)$(dwp_LINK) $(dwp_OBJECTS) $(dwp_LDADD) $(LIBS)
995
996 incremental-dump$(EXEEXT): $(incremental_dump_OBJECTS) $(incremental_dump_DEPENDENCIES) $(EXTRA_incremental_dump_DEPENDENCIES)
997 @rm -f incremental-dump$(EXEEXT)
998 $(AM_V_CXXLD)$(CXXLINK) $(incremental_dump_OBJECTS) $(incremental_dump_LDADD) $(LIBS)
999
1000 ld-new$(EXEEXT): $(ld_new_OBJECTS) $(ld_new_DEPENDENCIES) $(EXTRA_ld_new_DEPENDENCIES)
1001 @rm -f ld-new$(EXEEXT)
1002 $(AM_V_CXXLD)$(ld_new_LINK) $(ld_new_OBJECTS) $(ld_new_LDADD) $(LIBS)
1003
1004 ld1$(EXEEXT): $(ld1_OBJECTS) $(ld1_DEPENDENCIES) $(EXTRA_ld1_DEPENDENCIES)
1005 @rm -f ld1$(EXEEXT)
1006 $(AM_V_CXXLD)$(ld1_LINK) $(ld1_OBJECTS) $(ld1_LDADD) $(LIBS)
1007
1008 ld1-r$(EXEEXT): $(ld1_r_OBJECTS) $(ld1_r_DEPENDENCIES) $(EXTRA_ld1_r_DEPENDENCIES)
1009 @rm -f ld1-r$(EXEEXT)
1010 $(AM_V_CXXLD)$(ld1_r_LINK) $(ld1_r_OBJECTS) $(ld1_r_LDADD) $(LIBS)
1011
1012 ld2$(EXEEXT): $(ld2_OBJECTS) $(ld2_DEPENDENCIES) $(EXTRA_ld2_DEPENDENCIES)
1013 @rm -f ld2$(EXEEXT)
1014 $(AM_V_CXXLD)$(ld2_LINK) $(ld2_OBJECTS) $(ld2_LDADD) $(LIBS)
1015
1016 ld2-r$(EXEEXT): $(ld2_r_OBJECTS) $(ld2_r_DEPENDENCIES) $(EXTRA_ld2_r_DEPENDENCIES)
1017 @rm -f ld2-r$(EXEEXT)
1018 $(AM_V_CXXLD)$(ld2_r_LINK) $(ld2_r_OBJECTS) $(ld2_r_LDADD) $(LIBS)
1019
1020 ld3$(EXEEXT): $(ld3_OBJECTS) $(ld3_DEPENDENCIES) $(EXTRA_ld3_DEPENDENCIES)
1021 @rm -f ld3$(EXEEXT)
1022 $(AM_V_CXXLD)$(ld3_LINK) $(ld3_OBJECTS) $(ld3_LDADD) $(LIBS)
1023
1024 ld4$(EXEEXT): $(ld4_OBJECTS) $(ld4_DEPENDENCIES) $(EXTRA_ld4_DEPENDENCIES)
1025 @rm -f ld4$(EXEEXT)
1026 $(AM_V_CXXLD)$(ld4_LINK) $(ld4_OBJECTS) $(ld4_LDADD) $(LIBS)
1027
1028 mostlyclean-compile:
1029 -rm -f *.$(OBJEXT)
1030
1031 distclean-compile:
1032 -rm -f *.tab.c
1033
1034 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ffsll.Po@am__quote@
1035 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/ftruncate.Po@am__quote@
1036 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/mremap.Po@am__quote@
1037 @AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/pread.Po@am__quote@
1038 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aarch64-reloc-property.Po@am__quote@
1039 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aarch64.Po@am__quote@
1040 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/archive.Po@am__quote@
1041 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arm-reloc-property.Po@am__quote@
1042 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arm.Po@am__quote@
1043 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/attributes.Po@am__quote@
1044 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/binary.Po@am__quote@
1045 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common.Po@am__quote@
1046 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compressed_output.Po@am__quote@
1047 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copy-relocs.Po@am__quote@
1048 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cref.Po@am__quote@
1049 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/defstd.Po@am__quote@
1050 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/descriptors.Po@am__quote@
1051 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dirsearch.Po@am__quote@
1052 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwarf_reader.Po@am__quote@
1053 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwp.Po@am__quote@
1054 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynobj.Po@am__quote@
1055 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehframe.Po@am__quote@
1056 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/errors.Po@am__quote@
1057 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expression.Po@am__quote@
1058 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fileread.Po@am__quote@
1059 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gc.Po@am__quote@
1060 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gdb-index.Po@am__quote@
1061 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gold-threads.Po@am__quote@
1062 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gold.Po@am__quote@
1063 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/i386.Po@am__quote@
1064 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icf.Po@am__quote@
1065 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/incremental-dump.Po@am__quote@
1066 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/incremental.Po@am__quote@
1067 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/int_encoding.Po@am__quote@
1068 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/layout.Po@am__quote@
1069 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
1070 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mapfile.Po@am__quote@
1071 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/merge.Po@am__quote@
1072 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mips.Po@am__quote@
1073 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nacl.Po@am__quote@
1074 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/object.Po@am__quote@
1075 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Po@am__quote@
1076 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output.Po@am__quote@
1077 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parameters.Po@am__quote@
1078 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin.Po@am__quote@
1079 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/powerpc.Po@am__quote@
1080 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/readsyms.Po@am__quote@
1081 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/reduced_debug_output.Po@am__quote@
1082 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/reloc.Po@am__quote@
1083 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resolve.Po@am__quote@
1084 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/s390.Po@am__quote@
1085 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/script-sections.Po@am__quote@
1086 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/script.Po@am__quote@
1087 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sparc.Po@am__quote@
1088 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stringpool.Po@am__quote@
1089 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/symtab.Po@am__quote@
1090 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/target-select.Po@am__quote@
1091 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/target.Po@am__quote@
1092 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tilegx.Po@am__quote@
1093 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/timer.Po@am__quote@
1094 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Po@am__quote@
1095 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/workqueue-threads.Po@am__quote@
1096 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/workqueue.Po@am__quote@
1097 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/x86_64.Po@am__quote@
1098 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/yyscript.Po@am__quote@
1099
1100 .c.o:
1101 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1102 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1103 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1104 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1105 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1106
1107 .c.obj:
1108 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1109 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1110 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1111 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1112 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1113
1114 .cc.o:
1115 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
1116 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1117 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1118 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1119 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1120
1121 .cc.obj:
1122 @am__fastdepCXX_TRUE@ $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
1123 @am__fastdepCXX_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
1124 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1125 @AMDEP_TRUE@@am__fastdepCXX_FALSE@ DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1126 @am__fastdepCXX_FALSE@ $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1127
1128 .y.c:
1129 $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1130
1131 # This directory's subdirectories are mostly independent; you can cd
1132 # into them and run 'make' without going through this Makefile.
1133 # To change the values of 'make' variables: instead of editing Makefiles,
1134 # (1) if the variable is set in 'config.status', edit 'config.status'
1135 # (which will cause the Makefiles to be regenerated when you run 'make');
1136 # (2) otherwise, pass the desired values on the 'make' command line.
1137 $(am__recursive_targets):
1138 @fail=; \
1139 if $(am__make_keepgoing); then \
1140 failcom='fail=yes'; \
1141 else \
1142 failcom='exit 1'; \
1143 fi; \
1144 dot_seen=no; \
1145 target=`echo $@ | sed s/-recursive//`; \
1146 case "$@" in \
1147 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1148 *) list='$(SUBDIRS)' ;; \
1149 esac; \
1150 for subdir in $$list; do \
1151 echo "Making $$target in $$subdir"; \
1152 if test "$$subdir" = "."; then \
1153 dot_seen=yes; \
1154 local_target="$$target-am"; \
1155 else \
1156 local_target="$$target"; \
1157 fi; \
1158 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1159 || eval $$failcom; \
1160 done; \
1161 if test "$$dot_seen" = "no"; then \
1162 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1163 fi; test -z "$$fail"
1164
1165 ID: $(am__tagged_files)
1166 $(am__define_uniq_tagged_files); mkid -fID $$unique
1167 tags: tags-recursive
1168 TAGS: tags
1169
1170 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1171 set x; \
1172 here=`pwd`; \
1173 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1174 include_option=--etags-include; \
1175 empty_fix=.; \
1176 else \
1177 include_option=--include; \
1178 empty_fix=; \
1179 fi; \
1180 list='$(SUBDIRS)'; for subdir in $$list; do \
1181 if test "$$subdir" = .; then :; else \
1182 test ! -f $$subdir/TAGS || \
1183 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1184 fi; \
1185 done; \
1186 $(am__define_uniq_tagged_files); \
1187 shift; \
1188 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1189 test -n "$$unique" || unique=$$empty_fix; \
1190 if test $$# -gt 0; then \
1191 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1192 "$$@" $$unique; \
1193 else \
1194 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1195 $$unique; \
1196 fi; \
1197 fi
1198 ctags: ctags-recursive
1199
1200 CTAGS: ctags
1201 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1202 $(am__define_uniq_tagged_files); \
1203 test -z "$(CTAGS_ARGS)$$unique" \
1204 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1205 $$unique
1206
1207 GTAGS:
1208 here=`$(am__cd) $(top_builddir) && pwd` \
1209 && $(am__cd) $(top_srcdir) \
1210 && gtags -i $(GTAGS_ARGS) "$$here"
1211 cscope: cscope.files
1212 test ! -s cscope.files \
1213 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1214 clean-cscope:
1215 -rm -f cscope.files
1216 cscope.files: clean-cscope cscopelist
1217 cscopelist: cscopelist-recursive
1218
1219 cscopelist-am: $(am__tagged_files)
1220 list='$(am__tagged_files)'; \
1221 case "$(srcdir)" in \
1222 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1223 *) sdir=$(subdir)/$(srcdir) ;; \
1224 esac; \
1225 for i in $$list; do \
1226 if test -f "$$i"; then \
1227 echo "$(subdir)/$$i"; \
1228 else \
1229 echo "$$sdir/$$i"; \
1230 fi; \
1231 done >> $(top_builddir)/cscope.files
1232
1233 distclean-tags:
1234 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1235 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1236
1237 # Recover from deleted '.trs' file; this should ensure that
1238 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1239 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1240 # to avoid problems with "make -n".
1241 .log.trs:
1242 rm -f $< $@
1243 $(MAKE) $(AM_MAKEFLAGS) $<
1244
1245 # Leading 'am--fnord' is there to ensure the list of targets does not
1246 # expand to empty, as could happen e.g. with make check TESTS=''.
1247 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1248 am--force-recheck:
1249 @:
1250
1251 $(TEST_SUITE_LOG): $(TEST_LOGS)
1252 @$(am__set_TESTS_bases); \
1253 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1254 redo_bases=`for i in $$bases; do \
1255 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1256 done`; \
1257 if test -n "$$redo_bases"; then \
1258 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1259 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1260 if $(am__make_dryrun); then :; else \
1261 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1262 fi; \
1263 fi; \
1264 if test -n "$$am__remaking_logs"; then \
1265 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1266 "recursion detected" >&2; \
1267 elif test -n "$$redo_logs"; then \
1268 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1269 fi; \
1270 if $(am__make_dryrun); then :; else \
1271 st=0; \
1272 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1273 for i in $$redo_bases; do \
1274 test -f $$i.trs && test -r $$i.trs \
1275 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1276 test -f $$i.log && test -r $$i.log \
1277 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1278 done; \
1279 test $$st -eq 0 || exit 1; \
1280 fi
1281 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1282 ws='[ ]'; \
1283 results=`for b in $$bases; do echo $$b.trs; done`; \
1284 test -n "$$results" || results=/dev/null; \
1285 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1286 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1287 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1288 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1289 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1290 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1291 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1292 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1293 success=true; \
1294 else \
1295 success=false; \
1296 fi; \
1297 br='==================='; br=$$br$$br$$br$$br; \
1298 result_count () \
1299 { \
1300 if test x"$$1" = x"--maybe-color"; then \
1301 maybe_colorize=yes; \
1302 elif test x"$$1" = x"--no-color"; then \
1303 maybe_colorize=no; \
1304 else \
1305 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1306 fi; \
1307 shift; \
1308 desc=$$1 count=$$2; \
1309 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1310 color_start=$$3 color_end=$$std; \
1311 else \
1312 color_start= color_end=; \
1313 fi; \
1314 echo "$${color_start}# $$desc $$count$${color_end}"; \
1315 }; \
1316 create_testsuite_report () \
1317 { \
1318 result_count $$1 "TOTAL:" $$all "$$brg"; \
1319 result_count $$1 "PASS: " $$pass "$$grn"; \
1320 result_count $$1 "SKIP: " $$skip "$$blu"; \
1321 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1322 result_count $$1 "FAIL: " $$fail "$$red"; \
1323 result_count $$1 "XPASS:" $$xpass "$$red"; \
1324 result_count $$1 "ERROR:" $$error "$$mgn"; \
1325 }; \
1326 { \
1327 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1328 $(am__rst_title); \
1329 create_testsuite_report --no-color; \
1330 echo; \
1331 echo ".. contents:: :depth: 2"; \
1332 echo; \
1333 for b in $$bases; do echo $$b; done \
1334 | $(am__create_global_log); \
1335 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1336 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1337 if $$success; then \
1338 col="$$grn"; \
1339 else \
1340 col="$$red"; \
1341 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1342 fi; \
1343 echo "$${col}$$br$${std}"; \
1344 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1345 echo "$${col}$$br$${std}"; \
1346 create_testsuite_report --maybe-color; \
1347 echo "$$col$$br$$std"; \
1348 if $$success; then :; else \
1349 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1350 if test -n "$(PACKAGE_BUGREPORT)"; then \
1351 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1352 fi; \
1353 echo "$$col$$br$$std"; \
1354 fi; \
1355 $$success || exit 1
1356
1357 check-TESTS:
1358 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1359 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1360 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1361 @set +e; $(am__set_TESTS_bases); \
1362 log_list=`for i in $$bases; do echo $$i.log; done`; \
1363 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1364 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1365 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1366 exit $$?;
1367 recheck: all $(check_PROGRAMS)
1368 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1369 @set +e; $(am__set_TESTS_bases); \
1370 bases=`for i in $$bases; do echo $$i; done \
1371 | $(am__list_recheck_tests)` || exit 1; \
1372 log_list=`for i in $$bases; do echo $$i.log; done`; \
1373 log_list=`echo $$log_list`; \
1374 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1375 am__force_recheck=am--force-recheck \
1376 TEST_LOGS="$$log_list"; \
1377 exit $$?
1378 bootstrap-test.log: bootstrap-test
1379 @p='bootstrap-test'; \
1380 b='bootstrap-test'; \
1381 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1382 --log-file $$b.log --trs-file $$b.trs \
1383 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1384 "$$tst" $(AM_TESTS_FD_REDIRECT)
1385 bootstrap-test-r.log: bootstrap-test-r
1386 @p='bootstrap-test-r'; \
1387 b='bootstrap-test-r'; \
1388 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1389 --log-file $$b.log --trs-file $$b.trs \
1390 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1391 "$$tst" $(AM_TESTS_FD_REDIRECT)
1392 bootstrap-test-treehash-chunksize.log: bootstrap-test-treehash-chunksize
1393 @p='bootstrap-test-treehash-chunksize'; \
1394 b='bootstrap-test-treehash-chunksize'; \
1395 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1396 --log-file $$b.log --trs-file $$b.trs \
1397 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1398 "$$tst" $(AM_TESTS_FD_REDIRECT)
1399 .test.log:
1400 @p='$<'; \
1401 $(am__set_b); \
1402 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1403 --log-file $$b.log --trs-file $$b.trs \
1404 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1405 "$$tst" $(AM_TESTS_FD_REDIRECT)
1406 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1407 @am__EXEEXT_TRUE@ @p='$<'; \
1408 @am__EXEEXT_TRUE@ $(am__set_b); \
1409 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1410 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1411 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1412 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1413 check-am: all-am
1414 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1415 $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1416 check: check-recursive
1417 all-am: Makefile $(LIBRARIES) $(PROGRAMS) config.h
1418 installdirs: installdirs-recursive
1419 installdirs-am:
1420 for dir in "$(DESTDIR)$(bindir)"; do \
1421 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1422 done
1423 install: install-recursive
1424 install-exec: install-exec-recursive
1425 install-data: install-data-recursive
1426 uninstall: uninstall-recursive
1427
1428 install-am: all-am
1429 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1430
1431 installcheck: installcheck-recursive
1432 install-strip:
1433 if test -z '$(STRIP)'; then \
1434 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1435 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1436 install; \
1437 else \
1438 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1439 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1440 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1441 fi
1442 mostlyclean-generic:
1443 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1444 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1445 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1446
1447 clean-generic:
1448
1449 distclean-generic:
1450 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1451 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1452
1453 maintainer-clean-generic:
1454 @echo "This command is intended for maintainers to use"
1455 @echo "it deletes files that may require special tools to rebuild."
1456 -rm -f yyscript.c
1457 -rm -f yyscript.h
1458 clean: clean-recursive
1459
1460 clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1461 clean-noinstLIBRARIES clean-noinstPROGRAMS mostlyclean-am
1462
1463 distclean: distclean-recursive
1464 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1465 -rm -rf $(DEPDIR) ./$(DEPDIR)
1466 -rm -f Makefile
1467 distclean-am: clean-am distclean-compile distclean-generic \
1468 distclean-hdr distclean-tags
1469
1470 dvi: dvi-recursive
1471
1472 dvi-am:
1473
1474 html: html-recursive
1475
1476 html-am:
1477
1478 info: info-recursive
1479
1480 info-am:
1481
1482 install-data-am: install-data-local
1483
1484 install-dvi: install-dvi-recursive
1485
1486 install-dvi-am:
1487
1488 install-exec-am: install-binPROGRAMS install-exec-local
1489
1490 install-html: install-html-recursive
1491
1492 install-html-am:
1493
1494 install-info: install-info-recursive
1495
1496 install-info-am:
1497
1498 install-man:
1499
1500 install-pdf: install-pdf-recursive
1501
1502 install-pdf-am:
1503
1504 install-ps: install-ps-recursive
1505
1506 install-ps-am:
1507
1508 installcheck-am:
1509
1510 maintainer-clean: maintainer-clean-recursive
1511 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1512 -rm -rf $(top_srcdir)/autom4te.cache
1513 -rm -rf $(DEPDIR) ./$(DEPDIR)
1514 -rm -f Makefile
1515 maintainer-clean-am: distclean-am maintainer-clean-generic
1516
1517 mostlyclean: mostlyclean-recursive
1518
1519 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1520
1521 pdf: pdf-recursive
1522
1523 pdf-am:
1524
1525 ps: ps-recursive
1526
1527 ps-am:
1528
1529 uninstall-am: uninstall-binPROGRAMS
1530
1531 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
1532
1533 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1534 am--refresh check check-TESTS check-am clean clean-binPROGRAMS \
1535 clean-checkPROGRAMS clean-cscope clean-generic \
1536 clean-noinstLIBRARIES clean-noinstPROGRAMS cscope \
1537 cscopelist-am ctags ctags-am distclean distclean-compile \
1538 distclean-generic distclean-hdr distclean-tags dvi dvi-am html \
1539 html-am info info-am install install-am install-binPROGRAMS \
1540 install-data install-data-am install-data-local install-dvi \
1541 install-dvi-am install-exec install-exec-am install-exec-local \
1542 install-html install-html-am install-info install-info-am \
1543 install-man install-pdf install-pdf-am install-ps \
1544 install-ps-am install-strip installcheck installcheck-am \
1545 installdirs installdirs-am maintainer-clean \
1546 maintainer-clean-generic mostlyclean mostlyclean-compile \
1547 mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1548 uninstall uninstall-am uninstall-binPROGRAMS
1549
1550 .PRECIOUS: Makefile
1551
1552
1553 diststuff: $(EXTRA_DIST)
1554
1555 # Use an explicit dependency for the bison generated header file.
1556 expression.$(OBJEXT): yyscript.h
1557 script-sections.$(OBJEXT): yyscript.h
1558 script.$(OBJEXT): yyscript.h
1559
1560 # We have to build libgold.a before we run the tests.
1561 check: libgold.a
1562
1563 .PHONY: install-exec-local
1564
1565 install-exec-local: ld-new$(EXEEXT)
1566 $(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(tooldir)/bin
1567 n=`echo $(installed_linker) | sed '$(transform)'`; \
1568 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) \
1569 ld-new$(EXEEXT) $(DESTDIR)$(bindir)/$${n}$(EXEEXT); \
1570 if test "$(bindir)" != "$(tooldir)/bin"; then \
1571 rm -f $(DESTDIR)$(tooldir)/bin/$(installed_linker)$(EXEEXT); \
1572 ln $(DESTDIR)$(bindir)/$${n}$(EXEEXT) $(DESTDIR)$(tooldir)/bin/$(installed_linker)$(EXEEXT) >/dev/null 2>/dev/null \
1573 || $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) ld-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/$(installed_linker)$(EXEEXT); \
1574 fi; \
1575 if test "x$(install_as_default)" = "xyes"; then \
1576 ld=`echo ld | sed '$(transform)'`; \
1577 rm -f $(DESTDIR)$(bindir)/$${ld}$(EXEEXT); \
1578 ln $(DESTDIR)$(bindir)/$${n}$(EXEEXT) $(DESTDIR)$(bindir)/$${ld}$(EXEEXT) >/dev/null 2>/dev/null \
1579 || $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) ld-new$(EXEEXT) $(DESTDIR)$(bindir)/$${ld}$(EXEEXT); \
1580 if test "$(bindir)" != "$(tooldir)/bin"; then \
1581 rm -f $(DESTDIR)$(tooldir)/bin/ld$(EXEEXT); \
1582 ln $(DESTDIR)$(bindir)/$${n}$(EXEEXT) $(DESTDIR)$(tooldir)/bin/ld$(EXEEXT) >/dev/null 2>/dev/null \
1583 || $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) ld-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/ld$(EXEEXT); \
1584 fi; \
1585 fi
1586
1587 # We want install to imply install-info as per GNU standards, despite
1588 # the cygnus option.
1589 install-data-local: install-info
1590
1591 po/POTFILES.in: @MAINT@ Makefile
1592 for f in $(POTFILES); do echo $$f; done | LC_ALL=C sort > tmp \
1593 && mv tmp $(srcdir)/po/POTFILES.in
1594
1595 # Bootstrap test support. We use ld-new to build ld1, then use ld1 to
1596 # build ld2. ld1 and ld2 should be identical. ld-new need not be
1597 # identical to ld1, since it was linked with the host linker.
1598
1599 @GCC_TRUE@@NATIVE_LINKER_TRUE@gcctestdir1/ld: ld-new
1600 @GCC_TRUE@@NATIVE_LINKER_TRUE@ test -d gcctestdir1 || mkdir -p gcctestdir1
1601 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f gcctestdir1/ld
1602 @GCC_TRUE@@NATIVE_LINKER_TRUE@ (cd gcctestdir1 && $(LN_S) ../ld-new ld)
1603
1604 @GCC_TRUE@@NATIVE_LINKER_TRUE@gcctestdir2/ld: ld1
1605 @GCC_TRUE@@NATIVE_LINKER_TRUE@ test -d gcctestdir2 || mkdir -p gcctestdir2
1606 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f gcctestdir2/ld
1607 @GCC_TRUE@@NATIVE_LINKER_TRUE@ (cd gcctestdir2 && $(LN_S) ../ld1 ld)
1608
1609 @GCC_TRUE@@NATIVE_LINKER_TRUE@bootstrap-test: ld2
1610 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f $@
1611 @GCC_TRUE@@NATIVE_LINKER_TRUE@ echo "#!/bin/sh" > $@
1612 @GCC_TRUE@@NATIVE_LINKER_TRUE@ echo "cmp ld1 ld2" >> $@
1613 @GCC_TRUE@@NATIVE_LINKER_TRUE@ chmod +x $@
1614
1615 @GCC_TRUE@@NATIVE_LINKER_TRUE@libgold-1-r.o: gcctestdir1/ld libgold.a
1616 @GCC_TRUE@@NATIVE_LINKER_TRUE@ gcctestdir1/ld -o $@ -r --whole-archive libgold.a
1617
1618 @GCC_TRUE@@NATIVE_LINKER_TRUE@gcctestdir2-r/ld: ld1-r
1619 @GCC_TRUE@@NATIVE_LINKER_TRUE@ test -d gcctestdir2-r || mkdir -p gcctestdir2-r
1620 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f gcctestdir2-r/ld
1621 @GCC_TRUE@@NATIVE_LINKER_TRUE@ (cd gcctestdir2-r && $(LN_S) ../ld1-r ld)
1622
1623 @GCC_TRUE@@NATIVE_LINKER_TRUE@libgold-2-r.o: gcctestdir2-r/ld libgold.a
1624 @GCC_TRUE@@NATIVE_LINKER_TRUE@ gcctestdir2-r/ld -o $@ -r --whole-archive libgold.a
1625
1626 @GCC_TRUE@@NATIVE_LINKER_TRUE@bootstrap-test-r: ld2-r
1627 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f $@
1628 @GCC_TRUE@@NATIVE_LINKER_TRUE@ echo "#!/bin/sh" > $@
1629 @GCC_TRUE@@NATIVE_LINKER_TRUE@ echo "cmp ld1-r ld2-r" >> $@
1630 @GCC_TRUE@@NATIVE_LINKER_TRUE@ chmod +x $@
1631
1632 @GCC_TRUE@@NATIVE_LINKER_TRUE@gcctestdir3/ld: ld-new
1633 @GCC_TRUE@@NATIVE_LINKER_TRUE@ test -d gcctestdir3 || mkdir -p gcctestdir3
1634 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f gcctestdir3/ld
1635 @GCC_TRUE@@NATIVE_LINKER_TRUE@ (cd gcctestdir3 && $(LN_S) ../ld-new ld)
1636
1637 @GCC_TRUE@@NATIVE_LINKER_TRUE@gcctestdir4/ld: ld-new
1638 @GCC_TRUE@@NATIVE_LINKER_TRUE@ test -d gcctestdir4 || mkdir -p gcctestdir4
1639 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f gcctestdir4/ld
1640 @GCC_TRUE@@NATIVE_LINKER_TRUE@ (cd gcctestdir4 && $(LN_S) ../ld-new ld)
1641
1642 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@bootstrap-test-treehash: ld1 ld3
1643 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@ rm -f $@
1644 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@ echo "#!/bin/sh" > $@
1645 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@ echo "cmp ld1 ld3" >> $@
1646 @GCC_TRUE@@NATIVE_LINKER_TRUE@@THREADS_TRUE@ chmod +x $@
1647
1648 @GCC_TRUE@@NATIVE_LINKER_TRUE@bootstrap-test-treehash-chunksize: ld1 ld4
1649 @GCC_TRUE@@NATIVE_LINKER_TRUE@ rm -f $@
1650 @GCC_TRUE@@NATIVE_LINKER_TRUE@ echo "#!/bin/sh" > $@
1651 @GCC_TRUE@@NATIVE_LINKER_TRUE@ echo "cmp ld1 ld4 | grep ." >> $@
1652 @GCC_TRUE@@NATIVE_LINKER_TRUE@ chmod +x $@
1653
1654 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1655 # Otherwise a system limit (for SysV at least) may be exceeded.
1656 .NOEXPORT:
This page took 0.066999 seconds and 4 git commands to generate.